Bug 1886864 - operator-sdk working with bundles docs
Summary: operator-sdk working with bundles docs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.0
Assignee: Shubha Narayanan
QA Contact: Fan Jia
Latha S
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-09 14:47 UTC by Tom Buskey
Modified: 2021-10-26 03:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-26 03:37:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tom Buskey 2020-10-09 14:47:30 UTC
Document URL: https://docs.openshift.com/container-platform/4.6/operators/operator_sdk/osdk-working-bundle-images.html

Section Number and Name: 

Describe the issue: 

operator-sdk bundle create  <image>
Command "create" is deprecated, use 'generate bundle' and 'docker build -f bundle.Dockerfile' instead


Suggestions for improvement: 
operator-sdk generate bundle --version <image version 0.0.1>
podman build -f bundle.Dockerfile -t <image> .
podman push <image>
operator-sdk bundle validate  <image> -b podman


Additional information:

Comment 2 Shubha Narayanan 2021-10-07 13:03:30 UTC
Raised PR - https://github.com/openshift/openshift-docs/pull/37177

Comment 3 Fan Jia 2021-10-08 01:29:53 UTC
verified.


Note You need to log in before you can comment on or make changes to this bug.